
Foreman - Bug #14564

some buttons are no longer visible as buttons

04/11/2016 02:53 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3410

  

Description

an example is in the hosts show page (see attached).

since some of those btn's are async, they change state from text to btn in some cases.

Related issues:

Related to Foreman - Refactor #12979: Add a helper for primary buttons Closed 01/04/2016

Related to Docker - Bug #14577: Commit and delete container buttons don't loo... Closed 04/11/2016

Associated revisions

Revision 9c779942 - 04/11/2016 10:29 AM - Tomer Brisker

Fixes #14564 - correct button styling

History

#1 - 04/11/2016 02:53 AM - Ohad Levy

- Related to Refactor #12979: Add a helper for primary buttons added

#2 - 04/11/2016 02:56 AM - Ohad Levy

- File btn2.png added

#3 - 04/11/2016 03:12 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#4 - 04/11/2016 03:14 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#5 - 04/11/2016 04:03 AM - Tomer Brisker

- translation missing: en.field_release deleted (136)

The run job button is from remote execution and will be fixed in #14506.

I could not find where the delete with wrong style came from, possibly another plugin?

#6 - 04/11/2016 04:03 AM - Tomer Brisker

- translation missing: en.field_release set to 136

#7 - 04/11/2016 04:04 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3410 added

#8 - 04/11/2016 05:16 AM - Tomer Brisker
nevermind, found the missing helper

#9 - 04/11/2016 10:41 AM - Daniel Lobato Garcia

- Related to Bug #14577: Commit and delete container buttons don't look like buttons added

#10 - 04/11/2016 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9c77994234af8e2da375ce7a56afebca298b5f63.

Files

btn.png 5.75 KB 04/11/2016 Ohad Levy

btn2.png 5.65 KB 04/11/2016 Ohad Levy
